Package org.apache.lucene.backward_codecs.lucene84

## Class Lucene84PostingsFormat.IntBlockTermState

- java.lang.Object
- - org.apache.lucene.index.TermState
  - - org.apache.lucene.index.OrdTermState
    - - org.apache.lucene.codecs.BlockTermState
      - - org.apache.lucene.backward_codecs.lucene84.Lucene84PostingsFormat.IntBlockTermState

- All Implemented Interfaces:
    `Cloneable`
  Enclosing class:
    Lucene84PostingsFormat

      public static final class Lucene84PostingsFormat.IntBlockTermState
      extends BlockTermState

  Holds all state required for `Lucene84PostingsReader` to produce a `PostingsEnum` without re-seeking the terms dict.
  NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `long` | `docStartFP` | file pointer to the start of the doc ids enumeration, in `Lucene84PostingsFormat.DOC_EXTENSION` file
    `long` | `lastPosBlockOffset` | file offset for the last position in the last block, if there are more than `ForUtil.BLOCK_SIZE` positions; otherwise -1
    `long` | `payStartFP` | file pointer to the start of the payloads enumeration, in `Lucene84PostingsFormat.PAY_EXTENSION` file
    `long` | `posStartFP` | file pointer to the start of the positions enumeration, in `Lucene84PostingsFormat.POS_EXTENSION` file
    `int` | `singletonDocID` | docid when there is a single pulsed posting, otherwise -1.
    `long` | `skipOffset` | file offset for the start of the skip list, relative to docStartFP, if there are more than `ForUtil.BLOCK_SIZE` docs; otherwise -1

    - ### Fields inherited from class org.apache.lucene.codecs.BlockTermState

      `blockFilePointer, docFreq, termBlockOrd, totalTermFreq`

    - ### Fields inherited from class org.apache.lucene.index.OrdTermState

      `ord`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `IntBlockTermState()` | Sole constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Lucene84PostingsFormat.IntBlockTermState` | `clone()` |
    `void` | `copyFrom​(TermState _other)` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### docStartFP

          public long docStartFP

      file pointer to the start of the doc ids enumeration, in `Lucene84PostingsFormat.DOC_EXTENSION` file

    - #### posStartFP

          public long posStartFP

      file pointer to the start of the positions enumeration, in `Lucene84PostingsFormat.POS_EXTENSION` file

    - #### payStartFP

          public long payStartFP

      file pointer to the start of the payloads enumeration, in `Lucene84PostingsFormat.PAY_EXTENSION` file

    - #### skipOffset

          public long skipOffset

      file offset for the start of the skip list, relative to docStartFP, if there are more than `ForUtil.BLOCK_SIZE` docs; otherwise -1

    - #### lastPosBlockOffset

          public long lastPosBlockOffset

      file offset for the last position in the last block, if there are more than `ForUtil.BLOCK_SIZE` positions; otherwise -1

    - #### singletonDocID

          public int singletonDocID

      docid when there is a single pulsed posting, otherwise -1. freq is always implicitly totalTermFreq in this case.

  - ### Constructor Detail

    - #### IntBlockTermState

          public IntBlockTermState()

      Sole constructor.

  - ### Method Detail

    - #### clone

          public Lucene84PostingsFormat.IntBlockTermState clone()

      Overrides:
        `clone` in class `TermState`

    - #### copyFrom

          public void copyFrom​(TermState _other)

      Overrides:
        `copyFrom` in class `BlockTermState`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `BlockTermState`